setpdfmetadata(1)

NAME
setpdfmetadata - PDF Metadata Updater

SYNOPSIS
setpdfmetadata [Input PDF] [Metadata] [Output PDF]

DESCRIPTION
setpdfmetadata is tool to add and update the metadata of a PDF file. In particular, it can be used to add outlines (bookmarks) to a document. Furthermore, it can set the document properties (e.g. author, title, keywords, creator, producer).
Note, that all metadata content will be encoded in ISO-8859-1 encoding. It is not (yet) possible to use non-ISO-8859-1 text in the PDF metadata.
The metadata may contain the following commands:

outline Level Page Bookmark
    Add a PDF outline at the given level (0=chapter, 1=section, 2=subsection, 3=subsubsection, 4=paragraph, ...) and pointing to the given page number. Bookmark denotes the label text.

author Author
    Sets the document author to the given value.

title Title
    Sets the document title to the given value.

title Subject
    Sets the document subject to the given value.

keywords Keywords
    Sets the document keywords to the given value.

creator Creator
    Sets the document creator to the given value.

producer Producer
    Sets the document producer to the given value.

ARGUMENTS
The following arguments have to be provided:

Input PDF
    The input PDF file name.

Output PDF
    The output PDF file name.

EXAMPLES
A setpdfmetadata usage example:

setpdfmetadata MyDocument.pdf MyMetadata.meta MyDocument-Updated.pdf
A metadata example:
outline 1 1 Chapter 1
outline 2 2 Section 1.1
outline 2 4 Section 1.2
outline 1 6 Chapter 2
author John Smith
title An Example Document
keywords Example, PDF, setpdfmetadata

AUTHORS
Thomas Dreibholz
https://www.uni-due.de/~be0001/netperfmeter
mailto://dreibh@iem.uni-due.de